Bug 498862 - Review Request: clthreads - POSIX threads C++ access library
Review Request: clthreads - POSIX threads C++ access library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 499306
  Show dependency treegraph
 
Reported: 2009-05-04 01:52 EDT by Orcan Ogetbil
Modified: 2009-05-15 19:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.4.0-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 19:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-05-04 01:52:01 EDT
Spec URL: http://oget.fedorapeople.org/review/clthreads.spec
SRPM URL: http://oget.fedorapeople.org/review/clthreads-2.4.0-2.fc10.src.rpm
Description: 
Clthreads is a C++ wrapper library around the POSIX threads API.

rpmlint:
   clthreads-devel.x86_64: W: no-documentation
Not much we can do about it.

koji rawhide build:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1334670
Comment 1 Susi Lehtola 2009-05-04 10:32:27 EDT
rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK

MUST: Optflags are used and time stamps preserved. NEEDSFIX
- Time stamps not preserved, use INSTALL="install -p" as argument to make install.

MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
- Maybe instead of %{_includedir}/* have just %{_includedir}/%{name}.h ?

MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


I'll let you fix the problems upon import to CVS. The package has been

APPROVED
Comment 2 Orcan Ogetbil 2009-05-04 11:17:58 EDT
(In reply to comment #1)
> - Time stamps not preserved, use INSTALL="install -p" as argument to make
> install.
> 

They are all compiled files (no need to insist for preserving timestamps in this case) but I'll add -p any

> - Maybe instead of %{_includedir}/* have just %{_includedir}/%{name}.h ?
> 

Sue, I'll do that before I commit.

> 
> APPROVED  

Thanks!

New Package CVS Request
=======================
Package Name: clthreads
Short Description: POSIX threads C++ access library
Owners: oget nando
Branches: F-9 F-10 F-11
InitialCC:
Comment 3 Susi Lehtola 2009-05-04 11:31:02 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > - Time stamps not preserved, use INSTALL="install -p" as argument to make
> > install.
> > 
> 
> They are all compiled files (no need to insist for preserving timestamps in
> this case) but I'll add -p any

The header file too? :)
Comment 4 Orcan Ogetbil 2009-05-04 12:13:14 EDT
nope. you're right :)
Comment 5 Kevin Fenzi 2009-05-04 16:43:40 EDT
cvs done
Comment 6 Fedora Update System 2009-05-04 17:13:28 EDT
clthreads-2.4.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/clthreads-2.4.0-3.fc11
Comment 7 Fedora Update System 2009-05-04 17:14:16 EDT
clthreads-2.4.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/clthreads-2.4.0-3.fc10
Comment 8 Fedora Update System 2009-05-04 17:15:02 EDT
clthreads-2.4.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/clthreads-2.4.0-3.fc9
Comment 9 Fedora Update System 2009-05-06 19:24:33 EDT
clthreads-2.4.0-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clthreads'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4235
Comment 10 Fedora Update System 2009-05-06 19:26:26 EDT
clthreads-2.4.0-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update clthreads'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4253
Comment 11 Fedora Update System 2009-05-09 00:15:14 EDT
clthreads-2.4.0-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clthreads'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4538
Comment 12 Fedora Update System 2009-05-15 19:27:14 EDT
clthreads-2.4.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-15 19:27:45 EDT
clthreads-2.4.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-15 19:32:52 EDT
clthreads-2.4.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.